### Hierarchy

- TransientDisposable
  - SingleInvoker

### Implements

- IDisposable

## Index

### Constructors

- constructor

### Methods

- dispose
- invoke
- registerIn

## Constructors

### constructor

- new SingleInvoker(owner?: any): SingleInvoker

- Inherited from TransientDisposable.constructor

  - Defined in core/TransientDisposable.ts:3

  #### Parameters

  - ##### Optional owner: any

  #### Returns SingleInvoker

## Methods

### dispose

- dispose(): void

- Implementation of IDisposable.dispose

  Overrides TransientDisposable.dispose

  - Defined in core/SingleInvoker.ts:10

  #### Returns void

### invoke

- invoke(key: string, fx: Function, delay?: number): void

- - Defined in core/SingleInvoker.ts:20

  #### Parameters

  - ##### key: string

  - ##### fx: Function

  - ##### Default value delay: number = 100

  #### Returns void

### registerIn

- registerIn(value: any): void

- Inherited from TransientDisposable.registerIn

  - Defined in core/TransientDisposable.ts:13

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc